<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateStaffSalaryDeductionsTable extends Migration {

	public function up()
	{
		Schema::create('Staff_Salary_Deductions', function(Blueprint $table) {
			$table->increments('id');
			$table->bigInteger('user_id')->unsigned();
			$table->enum('role', array('teacher', 'supervisor', 'librarian'));
			$table->integer('amount')->default('0');
			$table->text('reason');
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('Staff_Salary_Deductions');
	}
}